public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Austin English" <wizardedit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-roguelike/angband/
Date: Fri,  5 Aug 2016 21:31:21 +0000 (UTC)	[thread overview]
Message-ID: <1470432673.56788f810102a008b518ee2bccd949ec6d27703a.wizardedit@gentoo> (raw)

commit:     56788f810102a008b518ee2bccd949ec6d27703a
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  5 21:06:00 2016 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Fri Aug  5 21:31:13 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56788f81

games-roguelike/angband: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: portage-2.3.0

 games-roguelike/angband/angband-4.0.5-r1.ebuild | 114 ++++++++++++++++++++++++
 1 file changed, 114 insertions(+)

diff --git a/games-roguelike/angband/angband-4.0.5-r1.ebuild b/games-roguelike/angband/angband-4.0.5-r1.ebuild
new file mode 100644
index 0000000..6b11f3c
--- /dev/null
+++ b/games-roguelike/angband/angband-4.0.5-r1.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools eutils gnome2-utils versionator
+
+MAJOR_PV=$(get_version_component_range 1-2)
+
+DESCRIPTION="A roguelike dungeon exploration game based on the books of J.R.R. Tolkien"
+HOMEPAGE="http://rephial.org/"
+SRC_URI="http://rephial.org/downloads/${MAJOR_PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="ncurses sdl +sound X"
+
+RDEPEND="X? ( x11-libs/libX11 )
+	!ncurses? ( !X? ( !sdl? ( sys-libs/ncurses:0=[unicode] ) ) )
+	ncurses? ( sys-libs/ncurses:0=[unicode] )
+	sdl? ( media-libs/libsdl[video,X]
+		media-libs/sdl-image
+		media-libs/sdl-ttf
+		sound? ( media-libs/libsdl[sound] )
+			media-libs/sdl-mixer[mp3] )"
+DEPEND="${RDEPEND}
+	dev-python/docutils
+	virtual/pkgconfig"
+
+src_prepare() {
+	default
+
+	sed -i -e '/libpath/s#datarootdir#datadir#' configure.ac || die
+	sed -i -e "/^.SILENT/d" mk/buildsys.mk.in || die
+	sed -i -e '/^DOC =/s/=.*/=/' doc/Makefile || die
+
+	if use !sound ; then
+		sed -i -e 's/sounds//' lib/Makefile || die
+	fi
+
+	# Game constant files are now system config files in Angband, but
+	# users will be hidden from applying updates by default
+	{
+		echo "CONFIG_PROTECT_MASK=\"/etc/${PN}/customize/\""
+		echo "CONFIG_PROTECT_MASK=\"/etc/${PN}/gamedata/\""
+	} > "${T}"/99${PN} || die
+
+	eautoreconf
+}
+
+src_configure() {
+	local myconf
+
+	if use sdl; then
+		myconf="$(use_enable sound sdl-mixer)"
+	else
+		myconf="--disable-sdl-mixer"
+	fi
+
+	ac_cv_path_NCURSES_CONFIG="pkg-config ncursesw" \
+	econf \
+		--bindir=/usr/bin \
+		--with-private-dirs \
+		$(use_enable X x11) \
+		$(use_enable sdl) \
+		$(use_enable ncurses curses) \
+		$(use !sdl && use !ncurses && use !X && \
+			echo --enable-curses) \
+		${myconf}
+}
+
+src_install() {
+	DOCS="changes.txt faq.txt readme.txt thanks.txt" \
+		default
+
+	dodoc doc/manual.html
+	doenvd "${T}"/99${PN}
+
+	if use X || use sdl ; then
+		if use X; then
+			make_desktop_entry "angband -mx11" "Angband (X11)" "${PN}"
+		fi
+
+		if use sdl; then
+			make_desktop_entry "angband -msdl" "Angband (SDL)" "${PN}"
+		fi
+
+		local s
+		for s in 16 32 128 256 512
+		do
+			newicon -s ${s} lib/icons/att-${s}.png "${PN}.png"
+		done
+		newicon -s scalable lib/icons/att.svg "${PN}.svg"
+	fi
+}
+
+pkg_preinst() {
+	if use X || use sdl ; then
+		gnome2_icon_savelist
+	fi
+}
+
+pkg_postinst() {
+	echo
+	elog "Angband now uses private savefiles instead of system-wide ones."
+	elog "This version of Angband is not compatible with the save files"
+	elog "of previous versions."
+	echo
+
+	if use X || use sdl ; then
+		gnome2_icon_cache_update
+	fi
+}


             reply	other threads:[~2016-08-05 21:31 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-08-05 21:31 Austin English [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-08 19:36 [gentoo-commits] repo/gentoo:master commit in: games-roguelike/angband/ James Le Cuirot
2024-08-08 19:36 James Le Cuirot
2024-08-08 19:36 James Le Cuirot
2024-08-08 19:36 James Le Cuirot
2022-07-28 20:20 Stefan Strogin
2021-12-28 17:10 Ionen Wolkens
2021-11-02  2:44 Stefan Strogin
2021-11-01 22:07 James Le Cuirot
2021-10-27 23:00 James Le Cuirot
2021-10-27 22:48 James Le Cuirot
2021-06-23  2:24 Ionen Wolkens
2020-06-12  1:40 Stefan Strogin
2019-08-20  6:36 Stefan Strogin
2019-05-06 23:42 Stefan Strogin
2019-04-05  5:13 Michał Górny
2019-03-09 22:35 James Le Cuirot
2019-03-09 22:35 James Le Cuirot
2019-03-09 22:35 James Le Cuirot
2019-03-09 22:35 James Le Cuirot
2019-03-09 22:35 James Le Cuirot
2019-03-09 22:35 James Le Cuirot
2017-09-30  4:03 Sergei Trofimovich
2016-05-08 20:27 Michael Sterrett
2016-03-20 20:51 Michael Sterrett
2016-03-16 11:51 Agostino Sarubbo
2016-03-15 15:27 Agostino Sarubbo
2016-03-14 22:13 Agostino Sarubbo
2016-02-09 22:12 Michael Sterrett
2015-12-29  7:41 Michael Sterrett
2015-12-07 11:40 Agostino Sarubbo
2015-12-07 10:02 Agostino Sarubbo
2015-11-06  5:33 Michael Sterrett
2015-11-06  5:33 Michael Sterrett
2015-08-26 16:43 Michael Sterrett

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1470432673.56788f810102a008b518ee2bccd949ec6d27703a.wizardedit@gentoo \
    --to=wizardedit@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox